AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Get subaccount transactions

Get the transaction and balance history for a payout subaccount.

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/payout-subaccounts/{account_reference}/transactions

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

account_reference string required
Unique identifier for the payout subaccount

FILL IN ALL REQUIRED FIELDS

from string required
start date

to string required
end date

currency string

page string
The page number to retrieve i.e. setting 1 retrieves the first page.

fetch_limit string
The number of transactions to retrieve per page.

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys